table.ProbOutPerformance {PerformanceAnalytics} | R Documentation

## Outperformance Report of Asset vs Benchmark

### Description

Table of Outperformance Reporting vs Benchmark

### Usage

    table.ProbOutPerformance(R, Rb, period_lengths = c(1, 3, 6, 9, 12, 18,
      36))

### Arguments

`R` | an xts, timeSeries or zoo object of asset returns
`Rb` | an xts, timeSeries or zoo object of the benchmark returns
`period_lengths` | a vector of periods the user wants to evaluate this over i.e. c(1,3,6,9,12,18,36)

### Details

Returns a table that contains the counts and probabilities of outperformance relative to benchmark for the various period_lengths

Tool for robustness analysis of an asset or strategy, can be used to give the probability an investor investing at any point in time will outperform the benchmark over a given horizon. Calculates Count of trailing periods where a fund outperformed its benchmark and calculates the proportion of those periods, this is commonly used in marketing as the probability of outperformance on a N period basis.

Returns a table that contains the counts and probabilities of outperformance relative to benchmark for the various period_lengths

### Author(s)

Kyle Balkissoon

### Examples

    data(edhec)

    table.ProbOutPerformance(edhec[,1],edhec[,2])
    title(main='Table of Convertible Arbitrage vs Benchmark')

[Package PerformanceAnalytics version 1.5.3 Index]